%define pkg_name        String-Interpolate
%define pkg_version     0.3
%define rpm_pkg_version 0.3
%define rpm_pkg_release 2.n0i.2

Summary:       Wrapper for builtin the Perl interpolation engine
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/N/NO/NOBULL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(PadWalker) >= 0.08}


%description
"String::Interpolate" provides a neat interface to the solution to that
perenial Perl problem - how to invoke the Perl string interpolation engine
on a string contained in a scalar variable. A "String::Interpolate" object
encapsulates a string and a context in which it should be subjected to Perl
interpolation. In the simplest, default, case the context is simply the
namespace (package) from which the constructor was called.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 1.1
- rebuild on perl 5.8.8

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.3-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
